<template>
    <button
      class="delete-button"
      @click="onDeleteHandler"
    >
      <font-awesome-icon
        class="icon"
        icon="fa-solid fa-trash"
      />
    </button>
</template>

<script>
export default {
  name: 'todo-delete',
  methods: {
    onDeleteHandler () {
      this.$emit('click')
    }
  }
}
</script>

<style scoped>
.delete-button {
  width: 25px;
  height: 25px;
  border: none;
  background-color: transparent;
  cursor: pointer;
}

.icon {
  width: 100%;
  height: 100%;
  color: #D28700FF;
}
</style>
